%global pkgname django-recaptcha
%global obs_ver 0.1-3

Name:		python-django-recaptcha
Version:	0.0.6
Release:	1%{?dist}
Group:		Development/Libraries
Summary:	A Django application for adding ReCAPTCHA to a form

License:	BSD
URL:		https://github.com/praekelt/django-recaptcha 
Source0:	http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python2-devel 
BuildRequires:	python-setuptools
BuildRequires:	python-django-setuptest
Requires:	python-recaptcha-client
Requires:	python-django-setuptest

%if 0%{?fedora} >= 18
Requires:	python-django-registration
BuildRequires:	python-django-registration
%else
Requires:	django-registration
BuildRequires:	django-registration
%endif


%if 0%{?fedora} >= 18
Requires:	python-django
BuildRequires:	python-django
%else
Requires:	Django
BuildRequires:	Django
%endif

Obsoletes:	%{pkgname} < %{obs_ver}

%description
A Django application providing a simple widget, field and 
middle-ware for adding ReCAPTCHA to a form

%prep
%setup -q -n %{pkgname}-%{version}

%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot}

%check
# This test fails:
# cd captcha
# PYTHONPATH=$PYTHONPATH:$(pwd) python tests.py
# Traceback (most recent call last):
#   File "tests.py", line 4, in <module>
#    from captcha import fields
# ImportError: No module named captcha
 

%files
%doc README.rst CHANGELOG.rst LICENSE PKG-INFO
%{python_sitelib}/captcha
%{python_sitelib}/*.egg-info
 
%changelog
* Mon Jun 17 2013 Eduardo Echeverria <echevemaster@gmail.com> - 0.0.6-1
- Updated to the new upstream release

* Wed Sep 19 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.0.4-2
- Fix BZ 845115 comment 1

* Wed Aug 01 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.0.4-1
- Initial Import - Rename django-recaptcha to python-django-x 

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3.20091212svn6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2.20091212svn6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 27 2011 Jitesh Shah <jitesh.1337@gmail.com> - 0.1-1.20091212svn6
- Initial build

